html {
  margin: 0;
  padding: 0;
}

:root {
  --warna-1: #fbc00c;
  --warna-2: #0dcaf0;
}

body {
  background: url(../img/bodi.png);
  overflow-x: hidden;
}

.navbar {
  font-family: "Fjalla One", sans-serif;
  background-color: var(--warna-2);
  z-index: 10;
}

.navbar a {
  color: #000;
}

#main .lampu-bar {
  font-family: "Squada One", "Teko", "Fjalla One", sans-serif;
  /* background-color: brown; */
}

.kotak {
  display: none;
  position: fixed;
  min-height: 35px;
  width: 50px;
  left: 0;
  top: 58px;
  background-color: var(--warna-2);
  z-index: 100;
  border-radius: 0 10px 10px 0;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.floating-button {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 20px;
  /* cursor: pointer; */
  position: relative;
  top: 8px;
}

.floating-button input {
  position: absolute;
  width: 40px;
  height: 28px;
  left: -6px;
  top: -4px;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}

.floating-button span {
  margin: auto;
  display: block;
  width: 28px;
  height: 4px;
  background-color: #222;
  border-radius: 3px;
  transition: all 0.5s;
}

/* Hamburger menu animation */
.floating-button span:nth-child(2) {
  transform-origin: 0 0;
  transform: rotate(0deg) translate(-2px, -1px);
}

.floating-button span:nth-child(3) {
  opacity: 1;
  transform: scale(1) translate(-2px, -0.5px);
}

.floating-button span:nth-child(4) {
  transform-origin: 0 100%;
  transform: rotate(0deg) translate(-2px, 0);
}

.margin {
  /* padding-left: 20px; */
  margin-left: 20px;
}

#sidebar-col {
  display: "block";
}

.traffic {
  position: relative;
  height: 460px;
}

.nama-traffic {
  height: 40px;
  position: relative;
}

.nama-traffic::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  bottom: 0;
  z-index: -1;
  background-image: linear-gradient(to bottom, rgba(42, 145, 177, 0.3), rgba(255, 255, 255, 0.2));
}

.nama-traffic h2 {
  color: #222;
}

.status-traffic {
  margin-top: 10px;
  height: 40px;
}

.link-kontrol a {
  color: #000;
  transition: 0.5s;
  text-decoration-line: unset;
}

.link-kontrol a:hover {
  color: blue;
}

/* sidebar */
.sidebar {
  max-height: 700px;
  overflow-y: auto;
  border-bottom-right-radius: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.baris-sidebar {
  background-color: var(--warna-2);
}

.baris-sidebar a {
  color: #222;
  cursor: default;
}

.list-simpang {
  background-color: var(--warna-1);
}

.list-simpang a {
  transition: all 0.3s;
}

.list-simpang a:hover {
  color: var(--warna-1);
  transform: translateX(-5px);
}

/* footer */
.gelombang {
  margin-top: -350px;
  z-index: -1;
  position: relative;
}

footer {
  color: #000;
  padding-bottom: 20px;
  padding-top: 90px;
  background-color: var(--warna-2);
  font-family: "Fjalla One", sans-serif;
}

footer p.alamat-kantor {
  font-size: 12px;
}

footer hr {
  opacity: 0.2;
}

footer .copyright {
  font-size: 10px;
}

.shape {
  padding: 10px 40px;
  background: #222;
  border-radius: 60px;
  border: 8px solid #111;
  margin: auto;
  position: absolute;
  top: 285px;
  transform: translate(-50%, -50%) scale(0.8);
  z-index: 100;
}

.tl-1,
.counter-1 {
  left: 12.5%;
}

.tl-2,
.counter-2 {
  left: 37.5%;
}

.tl-3,
.counter-3 {
  left: 62.5%;
}

.tl-4,
.counter-4 {
  left: 87%;
}

.light {
  border-top: 0.8em solid black;
  border-radius: 50%;
  background: #111;
  background-image: radial-gradient(rgb(51, 9, 9), transparent);
  width: 70px;
  height: 80px;
  margin: 15px auto;
}

.square {
  /* padding: 20px 50px; */
  width: 150px;
  background: #222;
  color: red;
  border-radius: 20px;
  border: 8px solid #111;
  margin: 0 auto;
  position: absolute;
  top: 110px;
  transform: translate(-50%, -50%) scale(0.8);
  /* z-index: 100; */
  font-family: "ZCOOL QingKe HuangYou", "Squada One", "Teko", "Fjalla One", sans-serif;
  font-size: 48px;
  align-content: center;
  text-align: center;
}

.red {
  /*animation: merah 1s linear infinite;*/
  background: #c0392b;
  box-shadow: 0 4px 8px 0 #c0392b;
}

.amber {
  /*animation: amber 5s linear infinite;*/
  background: #fbc00c;
  box-shadow: 0 4px 8px 0 #fbc00c;
}

.green {
  /*animation: green 5s linear infinite;*/
  background: #1abc9c;
  box-shadow: 0 4px 8px 0 #1abc9c;
}

.tl-1::before,
.tl-2::before,
.tl-3::before,
.tl-4::before {
  content: "";
  width: 4em;
  height: 3em;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  background: #111;
  z-index: 0;
}
.tl-1::after,
.tl-2::after,
.tl-3::after,
.tl-4::after {
  content: "";
  width: 120px;
  height: 20px;
  position: absolute;
  top: 110%;
  left: 50%;
  transform: translateX(-50%);
  background: #111;
  z-index: 0;
}

/* Mobile VERSION */
/* @media (max-width: 1200px) {
  .judul-sidebar {
    z-index: -100;
  }
} */

.sembunyi {
  display: none;
  /* transform: translateX(-100%); */
}

.tampil {
  display: block;
  /* transform: translateX(0); */
}

@media (max-width: 1105px) {
  .judul-sidebar a {
    display: none;
  }

  .judul-sidebar {
    min-height: 40px;
  }
}

@media (max-width: 992px) {
  #sidebar-col {
    display: none;
  }

  .margin {
    /* padding-left: 20px; */
    margin-left: 0;
  }

  .kotak {
    display: block;
    top: 58px;
  }

  #main {
    padding-left: 10px;
  }

  .traffic {
    height: 360px;
  }

  .traffic p {
    font-size: 15px;
    font-weight: normal;
  }

  .shape {
    padding: 5px 20px;
    border-radius: 40px;
    border: 8px solid #111;
    margin: auto;
    top: 230px;
  }

  .square {
    width: 90px;
    border-radius: 10px;
    border: 5px solid #111;
    top: 110px;
    font-size: 24px;
  }

  .light {
    border-top: 0.4em solid black;
    border-radius: 50%;
    width: 45px;
    height: 50px;
    margin: 10px auto;
  }

  .tl-1::before,
  .tl-2::before,
  .tl-3::before,
  .tl-4::before {
    width: 2em;
    height: 1.5em;
  }

  .tl-1::after,
  .tl-2::after,
  .tl-3::after,
  .tl-4::after {
    width: 70px;
    height: 10px;
  }

  .link-kontrol {
    text-align: center;
  }

  .gelombang {
    margin-top: -220px;
  }

  footer {
    padding-top: 150px;
  }
}

@media (max-width: 548px) {
  .kotak {
    top: 98px;
  }
}

/* Hamburger Menu */
.menu-toggle {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 20px;
  /* cursor: pointer; */
  position: relative;
  top: 10px;
}

.menu-toggle input {
  position: absolute;
  width: 40px;
  height: 28px;
  left: -6px;
  top: -4px;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}

.menu-toggle span {
  display: block;
  width: 28px;
  height: 4px;
  background-color: #222;
  border-radius: 3px;
  transition: all 0.5s;
}

/* Hamburger menu animation */
.menu-toggle span:nth-child(2) {
  transform-origin: 0 0;
  transform: rotate(0deg) translate(-2px, -1px);
}

.menu-toggle span:nth-child(3) {
  opacity: 1;
  transform: scale(1) translate(-2px, -0.5px);
}

.menu-toggle span:nth-child(4) {
  transform-origin: 0 100%;
  transform: rotate(0deg) translate(-2px, 0);
}

/* .menu-toggle input:checked ~ span:nth-child(2) {
  transform: rotate(0deg) translate(-1px, -1px);
}

.menu-toggle input:checked ~ span:nth-child(4) {
  transform: rotate(0deg) translate(-1px, 0);
}

.menu-toggle input:checked ~ span:nth-child(3) {
  opacity: 1;
  transform: scale(1) translate(-1px, -1px);
} */
